package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_INDEX_OF__CHARACTER_CHARACTER {
	private static final ValueInteger do_INDEX_OF(Context context, ValueCharacter s, ValueCharacter str) {
		
		//          Returns the index within this string of the first occurrence of the specified substring.
			return ValueInteger.select(context.getGenerator(), s.stringValue().indexOf(str.stringValue()));
	}

	public static final void execute(Context context) {
		ValueCharacter p1 = (ValueCharacter)context.pop();
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_INDEX_OF(context, p0, p1));
	}
}